Package htsjdk.samtools

# Enum Class SAMFlag

java.lang.Object
java.lang.Enum<SAMFlag>
htsjdk.samtools.SAMFlag

All Implemented Interfaces:
  `Serializable`, `Comparable<SAMFlag>`, `Constable`

public enum SAMFlag extends Enum<SAMFlag>
SAM flags as enum, to be used in GUI, menu, etc...

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DUPLICATE_READ`
`FIRST_OF_PAIR`
`MATE_REVERSE_STRAND`
`MATE_UNMAPPED`
`NOT_PRIMARY_ALIGNMENT`
Deprecated.
use `SECONDARY_ALIGNMENT` instead.
`PROPER_PAIR`
`READ_FAILS_VENDOR_QUALITY_CHECK`
`READ_PAIRED`
`READ_REVERSE_STRAND`
`READ_UNMAPPED`
`SECOND_OF_PAIR`
`SECONDARY_ALIGNMENT`
`SUPPLEMENTARY_ALIGNMENT`

## Method Summary

Modifier and Type
Method
Description
`static SAMFlag`
`findByName(String flag)`
`String`
`getDescription()`
`static Set<SAMFlag>`
`getFlags(int flag)`
`String`
`getLabel()`
`int`
`intValue()`
`boolean`
`isSet(int flag)`
`boolean`
`isUnset(int flag)`
`static SAMFlag`
`valueOf(int flag)`
Returns the enum constant of this class with the specified name.
`static SAMFlag`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SAMFlag[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### READ_PAIRED

public static final SAMFlag READ_PAIRED

### PROPER_PAIR

public static final SAMFlag PROPER_PAIR

### READ_UNMAPPED

public static final SAMFlag READ_UNMAPPED

### MATE_UNMAPPED

public static final SAMFlag MATE_UNMAPPED

### READ_REVERSE_STRAND

public static final SAMFlag READ_REVERSE_STRAND

### MATE_REVERSE_STRAND

public static final SAMFlag MATE_REVERSE_STRAND

### FIRST_OF_PAIR

public static final SAMFlag FIRST_OF_PAIR

### SECOND_OF_PAIR

public static final SAMFlag SECOND_OF_PAIR

### SECONDARY_ALIGNMENT

public static final SAMFlag SECONDARY_ALIGNMENT

### NOT_PRIMARY_ALIGNMENT

@Deprecated public static final SAMFlag NOT_PRIMARY_ALIGNMENT
Deprecated.
use `SECONDARY_ALIGNMENT` instead.

### READ_FAILS_VENDOR_QUALITY_CHECK

public static final SAMFlag READ_FAILS_VENDOR_QUALITY_CHECK

### DUPLICATE_READ

public static final SAMFlag DUPLICATE_READ

### SUPPLEMENTARY_ALIGNMENT

public static final SAMFlag SUPPLEMENTARY_ALIGNMENT

## Method Details

### values

public static SAMFlag[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SAMFlag valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### intValue

public int intValue()

Returns:
  this flag as an int

### getLabel

public String getLabel()

Returns:
  a human label for this SAMFlag

### getDescription

public String getDescription()

Returns:
  a human description for this SAMFlag

### valueOf

public static SAMFlag valueOf(int flag)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `flag` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### findByName

public static SAMFlag findByName(String flag)

Returns:
  find SAMFlag the flag by name, or null if it was not found

### isSet

public boolean isSet(int flag)

### isUnset

public boolean isUnset(int flag)

### getFlags

public static Set<SAMFlag> getFlags(int flag)